document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Search functionality
  const searchInput = document.querySelector('.search-box input');
  const searchButton = document.querySelector('.search-box button');

  const handleSearch = () => {
    const query = searchInput.value.trim().toLowerCase();
    // Implement search logic here
    console.log('Searching for:', query);
  };

  searchButton.addEventListener('click', handleSearch);
  searchInput.addEventListener('keypress', (e) => {
    if (e.key === 'Enter') {
      handleSearch();
    }
  });

  // Dynamic content loading
  const loadTools = () => {
    const toolGrid = document.querySelector('.tool-grid');
    // Add tool items dynamically
  };

  const loadResources = () => {
    const resourceGrid = document.querySelector('.resource-grid');
    // Add learning resources dynamically
  };

  const loadNews = () => {
    const newsGrid = document.querySelector('.news-grid');
    // Add news items dynamically
  };

  // Initialize dynamic content
  loadTools();
  loadResources();
  loadNews();
});